"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.STATES = exports.SIGNALS = void 0;

var _reactNative = require("react-native");

// Imports internal constants defined within the native layer,
// and exports user-facing constants for server states.
// This selects between TurboModule and legacy RN library implementation.
const StaticServer = global.__turboModuleProxy ? require('./NativeStaticServer').default : _reactNative.NativeModules.StaticServer;
const CONSTANTS = StaticServer.getConstants();
const SIGNALS = {
  CRASHED: CONSTANTS.CRASHED,
  LAUNCHED: CONSTANTS.LAUNCHED,
  TERMINATED: CONSTANTS.TERMINATED
};
exports.SIGNALS = SIGNALS;
let STATES;
exports.STATES = STATES;

(function (STATES) {
  STATES[STATES["ACTIVE"] = 0] = "ACTIVE";
  STATES[STATES["CRASHED"] = 1] = "CRASHED";
  STATES[STATES["INACTIVE"] = 2] = "INACTIVE";
  STATES[STATES["STARTING"] = 3] = "STARTING";
  STATES[STATES["STOPPING"] = 4] = "STOPPING";
})(STATES || (exports.STATES = STATES = {}));
//# sourceMappingURL=constants.js.map